
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<?php
require_once('admin.php');

$title = __('WordPress MU &rsaquo; Admin');
$parent_file = 'wpmu-admin.php';

function index_css() {
	wp_admin_css( 'css/dashboard' );
}
add_action( 'admin_head', 'index_css' );

require_once('admin-header.php');

if( is_site_admin() == false ) {
	wp_die( __('You do not have permission to access this page.') );
}

global $wpdb;
$c_users = $wpdb->get_var("SELECT COUNT(id) FROM {$wpdb->users}");
$c_blogs = $wpdb->get_var("SELECT COUNT(blog_id) FROM {$wpdb->blogs}");

$user_text = sprintf( __ngettext( '%s کاربر', '%s کاربر', $c_users ), number_format_i18n( $c_users ) );
$blog_text = sprintf( __ngettext( '%s وبلاگ', '%s وبلاگ', $c_blogs ), number_format_i18n( $c_blogs ) );

$sentence = sprintf( __( 'شما دارید %1$s و %2$s.' ), $blog_text, $user_text );
?>

<div class="wrap">
	<h2><?php _e('وردپرس میکر : مدیریت') ?></h2>
	
	<div id="rightnow">
	<h3 class="reallynow">
		<span><?php _e('Right Now'); ?></span>
		
		<a href="wpmu-blogs.php#form-add-blog" class="rbutton"><strong><?php _e('ساخت وبلاگ جدید'); ?></strong></a>
		<a href="wpmu-users.php#form-add-user" class="rbutton"><?php _e('ساخت کاربر جدید'); ?></a>
		<br class="clear" />
	</h3>
	
	<p class="youhave"><?php echo $sentence; ?></p>	
	<?php do_action('wpmuadminresult', ''); ?>
	
	<form name="searchform" action="wpmu-users.php" method="get">
		<p>
			<input type="hidden" name="action" value="users" style="font-family: Tahoma; font-size: 9pt"/>
			<input type="text" name="s" value="" size="17" style="font-family: Tahoma; font-size: 9pt"/> 
			<input class="button" type="submit" name="submit" value="<?php _e("جستجوی کاربران &raquo;"); ?>" style="font-family: Tahoma; font-size: 9pt"/>
		</p> 
	</form>
		
	<form name="searchform" action="wpmu-blogs.php" method="get">
		<p>
			<input type="hidden" name="action" value="blogs" style="font-family: Tahoma; font-size: 9pt"/>
			<input type="text" name="s" value="" size="17" style="font-family: Tahoma; font-size: 9pt"/>
			<input class="button" type="submit" name="blog_name" value="<?php _e("جستجوی وبلاگ ها &raquo;"); ?>" style="font-family: Tahoma; font-size: 9pt"/>
		</p>
	</form>
	
	<?php do_action( 'mu_rightnow_end' ); ?>
	<?php do_action( 'mu_activity_box_end' ); ?>
	</div><!-- rightnow -->
</div>

<?php include('admin-footer.php'); ?>